---
title: Air-gapped environments
---

## Outbound connections

By default, authentik creates outbound connections to the following URLs:

- https://version.goauthentik.io: Periodic update check
- https://goauthentik.io: Anonymous analytics on startup
- https://secure.gravatar.com: Avatars for users
- https://authentik.error-reporting.a7k.io: Error reporting

To disable these outbound connections, adjust the settings as follows:

## Configuration options

To view a list of all configuration options, refer to the [Configuration](./configuration/configuration.mdx) documentation.

import TabItem from "@theme/TabItem";
import Tabs from "@theme/Tabs";

<Tabs
  defaultValue="docker-compose"
  values={[
    {label: 'docker-compose', value: 'docker-compose'},
    {label: 'Kubernetes', value: 'kubernetes'},
  ]}>
  <TabItem value="docker-compose">
Add the following block to your `.env` file:

```shell
AUTHENTIK_DISABLE_STARTUP_ANALYTICS=true
AUTHENTIK_DISABLE_UPDATE_CHECK=true
AUTHENTIK_ERROR_REPORTING__ENABLED=false
```

Afterwards, run the upgrade commands from the latest release notes.

  </TabItem>
  <TabItem value="kubernetes">
Add the following block to your `values.yml` file:

```yaml
authentik:
    error_reporting:
        enabled: false
    disable_update_check: true
    disable_startup_analytics: true
```

Afterwards, run the upgrade commands from the latest release notes.

  </TabItem>
</Tabs>

## Settings

In addition to the configuration options above, the following [System settings](../sys-mgmt/settings.md) need to also be adjusted:

- **Avatars**: By default this setting uses [Gravatar](https://secure.gravatar.com/). The option can be set to a combination of any of the other options, for example `initials`

## Container images

Container images can be pulled from the following URLs:

- ghcr.io/goauthentik/server (https://ghcr.io)
- beryju/authentik (https://index.docker.io)
